Index: /trunk/Forms/UFormCharts.pas
===================================================================
--- /trunk/Forms/UFormCharts.pas	(revision 129)
+++ /trunk/Forms/UFormCharts.pas	(revision 130)
@@ -23,4 +23,5 @@
   public
     procedure Redraw;
+    procedure Translate;
   end;
 
@@ -34,4 +35,11 @@
 uses
   UCore, UGame;
+
+resourcestring
+  SOccupiedCells = 'Occupied cells';
+  SMilitaryPower = 'Military power';
+  SDiscoveredCells = 'Discovered cells';
+  SCitiesCount = 'Cities count';
+
 
 { TFormCharts }
@@ -50,5 +58,8 @@
 begin
   Core.PersistentForm.Load(Self);
+  if (ComboBox1.ItemIndex = -1) and (ComboBox1.Items.Count > 0) then
+    ComboBox1.ItemIndex := 0;
   Redraw;
+  Translate;
 end;
 
@@ -74,4 +85,19 @@
 end;
 
+procedure TFormCharts.Translate;
+var
+  LastIndex: Integer;
+begin
+  with ComboBox1 do begin
+    LastIndex := ItemIndex;
+    Clear;
+    Items.Add(SOccupiedCells);
+    Items.Add(SMilitaryPower);
+    Items.Add(SDiscoveredCells);
+    Items.Add(SCitiesCount);
+    ItemIndex := LastIndex;
+  end;
+end;
+
 end.
 
Index: /trunk/Forms/UFormNew.lfm
===================================================================
--- /trunk/Forms/UFormNew.lfm	(revision 129)
+++ /trunk/Forms/UFormNew.lfm	(revision 130)
@@ -13,5 +13,5 @@
   OnShow = FormShow
   Position = poMainFormCenter
-  LCLVersion = '1.4.4.0'
+  LCLVersion = '1.6.4.0'
   object ButtonCancel: TButton
     Left = 454
@@ -47,11 +47,11 @@
     object TabSheet1: TTabSheet
       Caption = 'Players'
-      ClientHeight = 398
-      ClientWidth = 854
+      ClientHeight = 397
+      ClientWidth = 663
       object ListView1: TListView
         Left = 4
-        Height = 348
+        Height = 347
         Top = 4
-        Width = 846
+        Width = 655
         Align = alTop
         Anchors = [akTop, akLeft, akRight, akBottom]
@@ -90,5 +90,5 @@
         Left = 224
         Height = 25
-        Top = 360
+        Top = 359
         Width = 83
         Action = APlayerRemove
@@ -99,5 +99,5 @@
         Left = 16
         Height = 25
-        Top = 360
+        Top = 359
         Width = 83
         Action = APlayerAdd
@@ -108,5 +108,5 @@
         Left = 120
         Height = 25
-        Top = 360
+        Top = 359
         Width = 83
         Action = APlayerModify
@@ -118,11 +118,11 @@
     object TabSheet2: TTabSheet
       Caption = 'Map'
-      ClientHeight = 401
-      ClientWidth = 661
+      ClientHeight = 397
+      ClientWidth = 663
       object Label1: TLabel
         Left = 8
-        Height = 25
+        Height = 24
         Top = 9
-        Width = 89
+        Width = 95
         Caption = 'Map width:'
         ParentColor = False
@@ -130,7 +130,7 @@
       object Label2: TLabel
         Left = 8
-        Height = 25
+        Height = 24
         Top = 57
-        Width = 95
+        Width = 102
         Caption = 'Map height:'
         ParentColor = False
@@ -138,5 +138,5 @@
       object SpinEditMapSizeX: TSpinEdit
         Left = 128
-        Height = 33
+        Height = 34
         Top = 4
         Width = 98
@@ -148,5 +148,5 @@
       object SpinEditMapSizeY: TSpinEdit
         Left = 128
-        Height = 33
+        Height = 34
         Top = 55
         Width = 98
@@ -160,5 +160,5 @@
         Height = 46
         Top = 8
-        Width = 410
+        Width = 412
         Max = 100
         Min = 2
@@ -173,5 +173,5 @@
         Height = 46
         Top = 49
-        Width = 410
+        Width = 412
         Max = 100
         Min = 2
@@ -184,7 +184,7 @@
       object Label5: TLabel
         Left = 8
-        Height = 25
+        Height = 24
         Top = 104
-        Width = 77
+        Width = 83
         Caption = 'Grid type:'
         ParentColor = False
@@ -192,8 +192,8 @@
       object ComboBoxGridType: TComboBox
         Left = 146
-        Height = 33
+        Height = 34
         Top = 104
         Width = 208
-        ItemHeight = 25
+        ItemHeight = 0
         Items.Strings = (
           'Hexagonal'
@@ -206,8 +206,8 @@
       object ComboBoxMapShape: TComboBox
         Left = 146
-        Height = 33
+        Height = 34
         Top = 144
         Width = 208
-        ItemHeight = 25
+        ItemHeight = 0
         Items.Strings = (
           'Hexagonal'
@@ -221,7 +221,7 @@
       object Label8: TLabel
         Left = 8
-        Height = 25
+        Height = 24
         Top = 144
-        Width = 92
+        Width = 98
         Caption = 'Map shape:'
         ParentColor = False
@@ -231,5 +231,5 @@
         Height = 27
         Top = 110
-        Width = 173
+        Width = 175
         Anchors = [akTop, akLeft, akRight]
         AutoSize = False
@@ -239,5 +239,5 @@
       object SpinEditVoidPercent: TSpinEdit
         Left = 216
-        Height = 33
+        Height = 34
         Top = 224
         Width = 106
@@ -248,7 +248,7 @@
       object CheckBoxVoid: TCheckBox
         Left = 8
-        Height = 29
+        Height = 28
         Top = 232
-        Width = 177
+        Width = 187
         Caption = 'Inaccessible places'
         OnChange = CheckBoxVoidChange
@@ -257,7 +257,7 @@
       object CheckBoxCity: TCheckBox
         Left = 8
-        Height = 29
+        Height = 28
         Top = 272
-        Width = 72
+        Width = 71
         Caption = 'Cities'
         OnChange = CheckBoxCityChange
@@ -266,5 +266,5 @@
       object SpinEditCityPercent: TSpinEdit
         Left = 216
-        Height = 33
+        Height = 34
         Top = 272
         Width = 106
@@ -275,5 +275,5 @@
       object Label4: TLabel
         Left = 331
-        Height = 25
+        Height = 24
         Top = 272
         Width = 15
@@ -283,5 +283,5 @@
       object Label3: TLabel
         Left = 331
-        Height = 25
+        Height = 24
         Top = 232
         Width = 15
@@ -291,5 +291,5 @@
       object SpinEditNeutralUnits: TSpinEdit
         Left = 408
-        Height = 33
+        Height = 34
         Top = 352
         Width = 98
@@ -301,7 +301,7 @@
       object Label7: TLabel
         Left = 8
-        Height = 25
+        Height = 24
         Top = 352
-        Width = 207
+        Width = 227
         Caption = 'Max random neutral units:'
         ParentColor = False
@@ -309,12 +309,12 @@
       object EditImageFile: TEdit
         Left = 144
-        Height = 33
+        Height = 34
         Top = 184
-        Width = 394
+        Width = 396
         Anchors = [akTop, akLeft, akRight]
         TabOrder = 12
       end
       object ButtonImageBrowse: TButton
-        Left = 546
+        Left = 548
         Height = 25
         Top = 192
@@ -327,7 +327,7 @@
       object Label9: TLabel
         Left = 8
-        Height = 25
+        Height = 24
         Top = 184
-        Width = 82
+        Width = 90
         Caption = 'Image file:'
         ParentColor = False
@@ -335,7 +335,7 @@
       object CheckBoxBridges: TCheckBox
         Left = 8
-        Height = 29
+        Height = 28
         Top = 310
-        Width = 199
+        Width = 210
         Caption = 'Bridges between cells'
         TabOrder = 14
@@ -344,6 +344,6 @@
     object TabSheet3: TTabSheet
       Caption = 'Rules'
-      ClientHeight = 398
-      ClientWidth = 854
+      ClientHeight = 397
+      ClientWidth = 663
       object RadioGroupGrowCells: TRadioGroup
         Left = 15
@@ -360,5 +360,5 @@
         ChildSizing.Layout = cclLeftToRightThenTopToBottom
         ChildSizing.ControlsPerLine = 1
-        ClientHeight = 75
+        ClientHeight = 79
         ClientWidth = 308
         Items.Strings = (
@@ -382,5 +382,5 @@
         Top = 240
         Width = 328
-        ItemHeight = 25
+        ItemHeight = 0
         Items.Strings = (
           'Defeat all oponents'
@@ -406,5 +406,5 @@
         ChildSizing.Layout = cclLeftToRightThenTopToBottom
         ChildSizing.ControlsPerLine = 1
-        ClientHeight = 46
+        ClientHeight = 50
         ClientWidth = 301
         Items.Strings = (
Index: /trunk/Forms/UFormNew.lrt
===================================================================
--- /trunk/Forms/UFormNew.lrt	(revision 129)
+++ /trunk/Forms/UFormNew.lrt	(revision 130)
Index: /trunk/Forms/UFormNew.pas
===================================================================
--- /trunk/Forms/UFormNew.pas	(revision 129)
+++ /trunk/Forms/UFormNew.pas	(revision 130)
@@ -90,4 +90,5 @@
     procedure Translate;
     procedure ReloadView;
+    procedure UpdateInterface;
     procedure Load(Game: TGame);
     procedure Save(Game: TGame);
@@ -229,10 +230,15 @@
   ListView1.Items.Count := Players.Count;
   ListView1.Refresh;
-  ButtonPlayerRemove.Enabled := Assigned(ListView1.Selected) and (Players.Count > 1);
-  ButtonPlayerAdd.Enabled := Players.Count < MaxPlayerCount;
+  Translate;
+  UpdateInterface;
+end;
+
+procedure TFormNew.UpdateInterface;
+begin
+  APlayerRemove.Enabled := Assigned(ListView1.Selected) and (Players.Count > 2);
+  APlayerAdd.Enabled := Players.Count < MaxPlayerCount;
   APlayerModify.Enabled := Assigned(ListView1.Selected);
   EditImageFile.Enabled := ComboBoxMapShape.ItemIndex = Integer(msImage);
   ButtonImageBrowse.Enabled := ComboBoxMapShape.ItemIndex = Integer(msImage);
-  Translate;
 end;
 
Index: /trunk/Languages/xtactics.cs.po
===================================================================
--- /trunk/Languages/xtactics.cs.po	(revision 129)
+++ /trunk/Languages/xtactics.cs.po	(revision 130)
@@ -121,4 +121,5 @@
 
 #: tformcharts.combobox1.text
+msgctxt "tformcharts.combobox1.text"
 msgid "Occupied cells"
 msgstr "Obsazené buňky"
@@ -505,4 +506,21 @@
 msgstr "Verze"
 
+#: uformcharts.scitiescount
+msgid "Cities count"
+msgstr "Počet měst"
+
+#: uformcharts.sdiscoveredcells
+msgid "Discovered cells"
+msgstr "Objevených buněk"
+
+#: uformcharts.smilitarypower
+msgid "Military power"
+msgstr "Vojenská síla"
+
+#: uformcharts.soccupiedcells
+msgctxt "uformcharts.soccupiedcells"
+msgid "Occupied cells"
+msgstr "Obsazené buňky"
+
 #: uformmain.sturn
 msgid "turn"
Index: /trunk/Languages/xtactics.po
===================================================================
--- /trunk/Languages/xtactics.po	(revision 129)
+++ /trunk/Languages/xtactics.po	(revision 130)
@@ -111,4 +111,5 @@
 
 #: tformcharts.combobox1.text
+msgctxt "tformcharts.combobox1.text"
 msgid "Occupied cells"
 msgstr ""
@@ -490,4 +491,21 @@
 msgstr ""
 
+#: uformcharts.scitiescount
+msgid "Cities count"
+msgstr ""
+
+#: uformcharts.sdiscoveredcells
+msgid "Discovered cells"
+msgstr ""
+
+#: uformcharts.smilitarypower
+msgid "Military power"
+msgstr ""
+
+#: uformcharts.soccupiedcells
+msgctxt "uformcharts.soccupiedcells"
+msgid "Occupied cells"
+msgstr ""
+
 #: uformmain.sturn
 msgid "turn"
Index: /trunk/UCore.pas
===================================================================
--- /trunk/UCore.pas	(revision 129)
+++ /trunk/UCore.pas	(revision 130)
@@ -442,7 +442,12 @@
   {$ENDIF}
   FInitialized := True;
+
   LoadConfig;
   Game.LoadConfig(XMLConfig1, 'Game');
 
+  // Update translated default player names
+  TPlayer(Game.Players[0]).Name := SPlayer + ' 1';
+  TPlayer(Game.Players[1]).Name := SPlayer + ' 2';
+
   CommandLineParams;
   ScaleDPI;