Index: /trunk/Forms/UFormNew.lfm
===================================================================
--- /trunk/Forms/UFormNew.lfm	(revision 133)
+++ /trunk/Forms/UFormNew.lfm	(revision 134)
@@ -39,9 +39,9 @@
     Top = 4
     Width = 669
-    ActivePage = TabSheet2
+    ActivePage = TabSheet1
     Align = alTop
     Anchors = [akTop, akLeft, akRight, akBottom]
     BorderSpacing.Around = 4
-    TabIndex = 1
+    TabIndex = 0
     TabOrder = 2
     object TabSheet1: TTabSheet
@@ -192,5 +192,5 @@
       object ComboBoxGridType: TComboBox
         Left = 146
-        Height = 34
+        Height = 38
         Top = 104
         Width = 208
@@ -206,5 +206,5 @@
       object ComboBoxMapShape: TComboBox
         Left = 146
-        Height = 34
+        Height = 38
         Top = 144
         Width = 208
Index: /trunk/Forms/UFormPlayer.lfm
===================================================================
--- /trunk/Forms/UFormPlayer.lfm	(revision 133)
+++ /trunk/Forms/UFormPlayer.lfm	(revision 134)
@@ -1,27 +1,28 @@
 object FormPlayer: TFormPlayer
   Left = 470
-  Height = 279
+  Height = 344
   Top = 219
   Width = 522
   Caption = 'Player'
-  ClientHeight = 279
+  ClientHeight = 344
   ClientWidth = 522
-  Constraints.MinHeight = 279
+  Constraints.MinHeight = 344
   Constraints.MinWidth = 522
+  OnShow = FormShow
   Position = poMainFormCenter
-  LCLVersion = '1.4.4.0'
+  LCLVersion = '1.6.4.0'
   object Label1: TLabel
-    Left = 28
-    Height = 25
+    Left = 24
+    Height = 24
     Top = 27
-    Width = 51
+    Width = 56
     Caption = 'Name:'
     ParentColor = False
   end
   object EditName: TEdit
-    Left = 139
-    Height = 33
+    Left = 168
+    Height = 34
     Top = 27
-    Width = 368
+    Width = 339
     Anchors = [akTop, akLeft, akRight]
     TabOrder = 0
@@ -30,5 +31,5 @@
     Left = 278
     Height = 25
-    Top = 242
+    Top = 307
     Width = 75
     Anchors = [akRight, akBottom]
@@ -40,5 +41,5 @@
     Left = 403
     Height = 25
-    Top = 242
+    Top = 307
     Width = 75
     Anchors = [akRight, akBottom]
@@ -48,11 +49,11 @@
     TabOrder = 2
   end
-  object ComboBox1: TComboBox
-    Left = 139
-    Height = 33
+  object ComboBoxMode: TComboBox
+    Left = 168
+    Height = 34
     Top = 72
-    Width = 368
+    Width = 339
     Anchors = [akTop, akLeft, akRight]
-    ItemHeight = 25
+    ItemHeight = 0
     ItemIndex = 0
     Items.Strings = (
@@ -60,4 +61,5 @@
       'Computer'
     )
+    OnChange = ComboBoxModeChange
     Style = csDropDownList
     TabOrder = 3
@@ -66,7 +68,7 @@
   object Label2: TLabel
     Left = 24
-    Height = 25
+    Height = 24
     Top = 72
-    Width = 51
+    Width = 53
     Caption = 'Mode:'
     ParentColor = False
@@ -74,15 +76,15 @@
   object Label3: TLabel
     Left = 24
-    Height = 25
+    Height = 24
     Top = 128
-    Width = 47
+    Width = 50
     Caption = 'Color:'
     ParentColor = False
   end
   object ColorBox1: TColorBox
-    Left = 139
-    Height = 28
+    Left = 168
+    Height = 38
     Top = 120
-    Width = 368
+    Width = 339
     Style = [cbStandardColors, cbExtendedColors, cbCustomColor, cbPrettyNames]
     Anchors = [akTop, akLeft, akRight]
@@ -92,17 +94,17 @@
   object Label4: TLabel
     Left = 24
-    Height = 25
+    Height = 24
     Top = 168
-    Width = 90
+    Width = 98
     Caption = 'Agressivity:'
     ParentColor = False
   end
   object ComboBoxAgressivity: TComboBox
-    Left = 139
-    Height = 33
+    Left = 168
+    Height = 34
     Top = 168
-    Width = 368
+    Width = 339
     Anchors = [akTop, akLeft, akRight]
-    ItemHeight = 25
+    ItemHeight = 0
     Items.Strings = (
       'Low'
@@ -116,5 +118,5 @@
   object CheckBoxDefensive: TCheckBox
     Left = 24
-    Height = 29
+    Height = 28
     Top = 208
     Width = 107
@@ -122,3 +124,19 @@
     TabOrder = 6
   end
+  object Label5: TLabel
+    Left = 24
+    Height = 24
+    Top = 248
+    Width = 94
+    Caption = 'Start units:'
+    ParentColor = False
+  end
+  object SpinEditStartUnits: TSpinEdit
+    Left = 224
+    Height = 34
+    Top = 240
+    Width = 112
+    MaxValue = 99
+    TabOrder = 7
+  end
 end
Index: /trunk/Forms/UFormPlayer.lrt
===================================================================
--- /trunk/Forms/UFormPlayer.lrt	(revision 133)
+++ /trunk/Forms/UFormPlayer.lrt	(revision 134)
@@ -3,7 +3,8 @@
 TFORMPLAYER.BUTTONCANCEL.CAPTION=Cancel
 TFORMPLAYER.BUTTONOK.CAPTION=Ok
-TFORMPLAYER.COMBOBOX1.TEXT=Human
+TFORMPLAYER.COMBOBOXMODE.TEXT=Human
 TFORMPLAYER.LABEL2.CAPTION=Mode:
 TFORMPLAYER.LABEL3.CAPTION=Color:
 TFORMPLAYER.LABEL4.CAPTION=Agressivity:
 TFORMPLAYER.CHECKBOXDEFENSIVE.CAPTION=Defensive
+TFORMPLAYER.LABEL5.CAPTION=Start units:
Index: /trunk/Forms/UFormPlayer.pas
===================================================================
--- /trunk/Forms/UFormPlayer.pas	(revision 133)
+++ /trunk/Forms/UFormPlayer.pas	(revision 134)
@@ -7,5 +7,5 @@
 uses
   Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
-  ColorBox, UGame;
+  ColorBox, Menus, Spin, UGame;
 
 type
@@ -18,5 +18,5 @@
     CheckBoxDefensive: TCheckBox;
     ColorBox1: TColorBox;
-    ComboBox1: TComboBox;
+    ComboBoxMode: TComboBox;
     ComboBoxAgressivity: TComboBox;
     EditName: TEdit;
@@ -25,8 +25,13 @@
     Label3: TLabel;
     Label4: TLabel;
+    Label5: TLabel;
+    SpinEditStartUnits: TSpinEdit;
+    procedure ComboBoxModeChange(Sender: TObject);
+    procedure FormShow(Sender: TObject);
   private
     { private declarations }
   public
     procedure Translate;
+    procedure UpdateInterface;
     procedure Load(Player: TPlayer);
     procedure Save(Player: TPlayer);
@@ -43,5 +48,4 @@
   SHuman = 'Human';
   SComputer = 'Computer';
-  SAgroNotAttacking = 'Not attacking';
   SAgroLow = 'Low';
   SAgroMedium = 'Medium';
@@ -50,9 +54,19 @@
 { TFormPlayer }
 
+procedure TFormPlayer.ComboBoxModeChange(Sender: TObject);
+begin
+  UpdateInterface;
+end;
+
+procedure TFormPlayer.FormShow(Sender: TObject);
+begin
+  UpdateInterface;
+end;
+
 procedure TFormPlayer.Translate;
 var
   LastIndex: Integer;
 begin
-  with ComboBox1 do begin
+  with ComboBoxMode do begin
     LastIndex := ItemIndex;
     Clear;
@@ -71,14 +85,20 @@
 end;
 
+procedure TFormPlayer.UpdateInterface;
+begin
+  ComboBoxAgressivity.Visible := ComboBoxMode.ItemIndex = 1;
+  CheckBoxDefensive.Visible := ComboBoxMode.ItemIndex = 1;
+  Label4.Visible := ComboBoxMode.ItemIndex = 1;
+end;
+
 procedure TFormPlayer.Load(Player: TPlayer);
 begin
   EditName.Text := Player.Name;
-  ComboBox1.ItemIndex := Integer(Player.Mode);
+  ComboBoxMode.ItemIndex := Integer(Player.Mode);
   ColorBox1.Selected := Player.Color;
-  Label4.Visible := Player.Mode = pmComputer;
-  ComboBoxAgressivity.Visible := Player.Mode = pmComputer;
   ComboBoxAgressivity.ItemIndex := Integer(Player.Agressivity);
-  CheckBoxDefensive.Visible := Player.Mode = pmComputer;
   CheckBoxDefensive.Checked := Player.Defensive;
+  SpinEditStartUnits.Value := Player.StartUnits;
+  UpdateInterface;
 end;
 
@@ -86,8 +106,9 @@
 begin
   Player.Name := EditName.Text;
-  Player.Mode := TPlayerMode(ComboBox1.ItemIndex);
+  Player.Mode := TPlayerMode(ComboBoxMode.ItemIndex);
   Player.Color := ColorBox1.Selected;
   Player.Agressivity := TComputerAgressivity(ComboBoxAgressivity.ItemIndex);
   Player.Defensive := CheckBoxDefensive.Checked;
+  Player.StartUnits := SpinEditStartUnits.Value;
 end;
 
Index: /trunk/Languages/xtactics.cs.po
===================================================================
--- /trunk/Languages/xtactics.cs.po	(revision 133)
+++ /trunk/Languages/xtactics.cs.po	(revision 134)
@@ -396,6 +396,6 @@
 msgstr "Obranný"
 
-#: tformplayer.combobox1.text
-msgctxt "tformplayer.combobox1.text"
+#: tformplayer.comboboxmode.text
+msgctxt "tformplayer.comboboxmode.text"
 msgid "Human"
 msgstr "Člověk"
@@ -416,4 +416,8 @@
 msgid "Agressivity:"
 msgstr "Agresivita:"
+
+#: tformplayer.label5.caption
+msgid "Start units:"
+msgstr "Počátečních jednotek:"
 
 #: tformsettings.buttoncancel.caption
@@ -599,8 +603,4 @@
 msgstr "Střední"
 
-#: uformplayer.sagronotattacking
-msgid "Not attacking"
-msgstr "Neútočící"
-
 #: uformplayer.scomputer
 msgctxt "uformplayer.scomputer"
Index: /trunk/Languages/xtactics.po
===================================================================
--- /trunk/Languages/xtactics.po	(revision 133)
+++ /trunk/Languages/xtactics.po	(revision 134)
@@ -381,6 +381,6 @@
 msgstr ""
 
-#: tformplayer.combobox1.text
-msgctxt "tformplayer.combobox1.text"
+#: tformplayer.comboboxmode.text
+msgctxt "TFORMPLAYER.COMBOBOXMODE.TEXT"
 msgid "Human"
 msgstr ""
@@ -400,4 +400,8 @@
 #: tformplayer.label4.caption
 msgid "Agressivity:"
+msgstr ""
+
+#: tformplayer.label5.caption
+msgid "Start units:"
 msgstr ""
 
@@ -584,8 +588,4 @@
 msgstr ""
 
-#: uformplayer.sagronotattacking
-msgid "Not attacking"
-msgstr ""
-
 #: uformplayer.scomputer
 msgctxt "uformplayer.scomputer"
Index: /trunk/UCore.lrt
===================================================================
--- /trunk/UCore.lrt	(revision 133)
+++ /trunk/UCore.lrt	(revision 134)
Index: /trunk/UCore.pas
===================================================================
--- /trunk/UCore.pas	(revision 133)
+++ /trunk/UCore.pas	(revision 134)
@@ -185,5 +185,5 @@
   AnimationSpeed := XMLConfig1.GetValue('AnimationSpeed', 50);
   AutoSaveEnabled := XMLConfig1.GetValue('AutoSave', True);
-  CoolTranslator1.Language := CoolTranslator1.Languages.SearchByCode(XMLConfig1.GetValue('Language', ''));
+  CoolTranslator1.Language := CoolTranslator1.Languages.SearchByCode(String(XMLConfig1.GetValue('Language', '')));
   ScaleDPI1.DPI := Point(XMLConfig1.GetValue('DPIX', 96), XMLConfig1.GetValue('DPIY', 96));
   ScaleDPI1.AutoDetect := XMLConfig1.GetValue('DPIAuto', True);
@@ -192,5 +192,5 @@
 procedure TCore.SaveConfig;
 begin
-  XMLConfig1.SetValue('Language', CoolTranslator1.Language.Code);
+  XMLConfig1.SetValue('Language', WideString(CoolTranslator1.Language.Code));
   LastOpenedList1.SaveToXMLConfig(XMLConfig1, 'RecentFiles');
   XMLConfig1.SetValue('DevelMode', DevelMode);
Index: /trunk/xtactics.lpi
===================================================================
--- /trunk/xtactics.lpi	(revision 133)
+++ /trunk/xtactics.lpi	(revision 134)
@@ -2,5 +2,5 @@
 <CONFIG>
   <ProjectOptions>
-    <Version Value="9"/>
+    <Version Value="10"/>
     <General>
       <SessionStorage Value="InProjectDir"/>
@@ -249,4 +249,5 @@
         <IsPartOfProject Value="True"/>
         <ComponentName Value="FormCharts"/>
+        <HasResources Value="True"/>
         <ResourceBaseClass Value="Form"/>
       </Unit11>