Index: /trunk/Forms/UFormHelp.lfm
===================================================================
--- /trunk/Forms/UFormHelp.lfm	(revision 134)
+++ /trunk/Forms/UFormHelp.lfm	(revision 135)
@@ -1,31 +1,22 @@
 object FormHelp: TFormHelp
-  Left = 560
-  Height = 223
-  Top = 144
-  Width = 424
+  Left = 566
+  Height = 663
+  Top = 237
+  Width = 1012
   Caption = 'Help'
-  ClientHeight = 223
-  ClientWidth = 424
+  ClientHeight = 663
+  ClientWidth = 1012
   Constraints.MinHeight = 223
   Constraints.MinWidth = 424
   OnCreate = FormCreate
   Position = poMainFormCenter
-  LCLVersion = '1.4.4.0'
+  LCLVersion = '1.6.4.0'
   object Memo1: TMemo
     Left = 6
-    Height = 211
+    Height = 651
     Top = 6
-    Width = 412
+    Width = 1000
     Align = alClient
     BorderSpacing.Around = 6
-    Lines.Strings = (
-      'xTactics is a risk based strategic game. Main '
-      'focus of the game is to offer player various '
-      'possibilities to configure game conditions. '
-      'Map for game is generated randomly for each '
-      'play. Game is multiplayer so single player can '
-      'play with other human opponents or with '
-      'many computer opponents.'
-    )
     ReadOnly = True
     ScrollBars = ssAutoBoth
Index: /trunk/Forms/UFormHelp.lrt
===================================================================
--- /trunk/Forms/UFormHelp.lrt	(revision 134)
+++ /trunk/Forms/UFormHelp.lrt	(revision 135)
Index: /trunk/Forms/UFormHelp.pas
===================================================================
--- /trunk/Forms/UFormHelp.pas	(revision 134)
+++ /trunk/Forms/UFormHelp.pas	(revision 135)
@@ -24,5 +24,31 @@
   FormHelp: TFormHelp;
 
+
 implementation
+
+uses
+  UCore;
+
+resourcestring
+  SContent = 'xTactics is a risk based strategic game. Main focus of the game ' +
+    'is to offer player various possibilities to configure game conditions. ' +
+    'Map for game is generated randomly for each play. Game is multiplayer so ' +
+    'single player can play with other human opponents or with many computer ' +
+    'opponents.' + LineEnding + LineEnding +
+    'Each cell has defined number of units which can be instructed to attack ' +
+    'enemy or neutral adjecent cells. Units can also defend against enemy attach from adjecent cells. ' +
+    'You can move units inside your territory. ' + LineEnding +
+    'Number of units in cells grows by square root of number of units. More units cell contains, more ' +
+    'units is added each turn. Maximum number to which units grow is 99. Cell can ' +
+    'have more units but excessive cells will die gradually every turn to balance to number 99.' +
+    LineEnding + LineEnding +
+    'Resolution of attach of units is determined by rule similar to one which is ' +
+    'used in Risk game. Battle consist of several fights. Each fight attacker can use ' +
+    'up to 3 units and defender up to 2 units. Number of units for each side determine ' +
+    'number of dices. Both sides roll their dices and order them in descending order.' +
+    'Each side takes one dice with highest value. One who has dice with higher value wins. ' +
+    'In case of tie, defender wins. Loser lose its unit and another pair of dices is evaluated. ' +
+    'This process is calculated automatically and for each planned attack win ' +
+    'probability is displayed.';
 
 {$R *.lfm}
@@ -32,4 +58,6 @@
 procedure TFormHelp.FormCreate(Sender: TObject);
 begin
+  Core.CoolTranslator1.TranslateComponentRecursive(Self);
+  Memo1.Lines.Text := SContent;
 end;
 
Index: /trunk/Languages/xtactics.cs.po
===================================================================
--- /trunk/Languages/xtactics.cs.po	(revision 134)
+++ /trunk/Languages/xtactics.cs.po	(revision 135)
@@ -527,4 +527,20 @@
 msgstr "Obsazené buňky"
 
+#: uformhelp.scontent
+msgid ""
+"xTactics is a risk based strategic game. Main focus of the game is to offer player various possibilities to configure game conditions. Map for game is generated randomly for each play. Game is multiplayer so single player can play with other human opponents or with many computer opponents.\n"
+"\n"
+"Each cell has defined number of units which can be instructed to attack enemy or neutral adjecent cells. Units can also defend against enemy attach from adjecent cells. You can move units inside your territory. \n"
+"Number of units in cells grows by square root of number of units. More units cell contains, more units is added each turn. Maximum number to which units grow is 99. Cell can have more units but excessive cells will die gradually every turn to balance to number 99.\n"
+"\n"
+"Resolution of attach of units is determined by rule similar to one which is used in Risk game. Battle consist of several fights. Each fight attacker can use up to 3 units and defender up to 2 units. Number of units for each side determine number of dices. Both sides roll their dices and order them in descending order.Each side takes one dice with highest value. One who has dice with higher value wins. In case of tie, defender wins. Loser lose its unit and another pair of dices is evaluated. This process is calculated automatically and for each planned attack win probability is displayed.\n"
+msgstr ""
+"xTactics je strategická hra založena na hře Risk. Hlavní zaměření hry je nabídnout hráči různé možnosti k nastavení podmínek hry. Mapa hry je generována náhodně pro každou hru. Hra je pro více hráčů takže jeden hráč může hrát s dalšími lidskými protivníky nebo s mnoha počítačovými protivníky.\n"
+"\n"
+"Každá buňka má určitý počet jednotek, které mohou být použity k útoku na přilehlé nepřátelské nebo neutrální buňky. Jednotky se mohou bránit proti nepřátelském útoku z přilehlých buněk. Můžete přesouvat jednotky uvnitř území.\n"
+"Počet jednotek v buňkách roste o odmocninu počtu jednotek. Čím více jednotek buňka obsahuje, tím více jednotek je přidáno každý tah. Nejvyšší počet, po který jednotky rostou je 99. Buňka může mít více jednotek, ale nadbytečné jednotky umírají postupně každý tah pro vyrovnání čísla na 99.\n"
+"\n"
+"Vyhodnocení útoku jednotek je určen pravidlem podobným tomu, které je použito u hry Risk. Bitva se skládá z několika bojů. Každá boj útočník může použít do 3 jednotek a obránce do 2 jednotek. Počet jednotek pro každou stranu určuje počet kostek. Obě strany házejí jejich kostkami a seřadí je v sestupném pořadí. Každá strana bere jednu kostku s nejvyšší hodnotou. Ten, který má kostku s vyšší hodnotou vyhrává. V případě remízy, vyhrává obránce. Prohrávající ztrácí své jednotky a další pár kostek je vyhodnocen. Tento proces je vypočítáván automaticky a pro každý plánovaný útok je zobrazena odhadovaná pravděpodobnost.\n"
+
 #: uformmain.sturn
 msgid "turn"
Index: /trunk/Languages/xtactics.po
===================================================================
--- /trunk/Languages/xtactics.po	(revision 134)
+++ /trunk/Languages/xtactics.po	(revision 135)
@@ -512,4 +512,14 @@
 msgstr ""
 
+#: uformhelp.scontent
+msgid ""
+"xTactics is a risk based strategic game. Main focus of the game is to offer player various possibilities to configure game conditions. Map for game is generated randomly for each play. Game is multiplayer so single player can play with other human opponents or with many computer opponents.\n"
+"\n"
+"Each cell has defined number of units which can be instructed to attack enemy or neutral adjecent cells. Units can also defend against enemy attach from adjecent cells. You can move units inside your territory. \n"
+"Number of units in cells grows by square root of number of units. More units cell contains, more units is added each turn. Maximum number to which units grow is 99. Cell can have more units but excessive cells will die gradually every turn to balance to number 99.\n"
+"\n"
+"Resolution of attach of units is determined by rule similar to one which is used in Risk game. Battle consist of several fights. Each fight attacker can use up to 3 units and defender up to 2 units. Number of units for each side determine number of dices. Both sides roll their dices and order them in descending order.Each side takes one dice with highest value. One who has dice with higher value wins. In case of tie, defender wins. Loser lose its unit and another pair of dices is evaluated. This process is calculated automatically and for each planned attack win probability is displayed.\n"
+msgstr ""
+
 #: uformmain.sturn
 msgid "turn"