Index: /trunk/Forms/UFormHelp.pas
===================================================================
--- /trunk/Forms/UFormHelp.pas	(revision 135)
+++ /trunk/Forms/UFormHelp.pas	(revision 136)
@@ -37,5 +37,5 @@
     'opponents.' + LineEnding + LineEnding +
     'Each cell has defined number of units which can be instructed to attack ' +
-    'enemy or neutral adjecent cells. Units can also defend against enemy attach from adjecent cells. ' +
+    'enemy or neutral adjacent cells. Units can also defend against enemy attach from adjacent cells. ' +
     'You can move units inside your territory. ' + LineEnding +
     'Number of units in cells grows by square root of number of units. More units cell contains, more ' +
@@ -43,8 +43,8 @@
     'have more units but excessive cells will die gradually every turn to balance to number 99.' +
     LineEnding + LineEnding +
-    'Resolution of attach of units is determined by rule similar to one which is ' +
+    'Resolution of attack of units is determined by rule similar to one which is ' +
     'used in Risk game. Battle consist of several fights. Each fight attacker can use ' +
     'up to 3 units and defender up to 2 units. Number of units for each side determine ' +
-    'number of dices. Both sides roll their dices and order them in descending order.' +
+    'number of dices. Both sides roll their dices and order them in descending order. ' +
     'Each side takes one dice with highest value. One who has dice with higher value wins. ' +
     'In case of tie, defender wins. Loser lose its unit and another pair of dices is evaluated. ' +
Index: unk/Install/build.bat
===================================================================
--- /trunk/Install/build.bat	(revision 135)
+++ 	(revision )
@@ -1,4 +1,0 @@
-%LAZDIR%/lazbuild.exe --lazarusdir=%LAZDIR% -B --build-mode=Release --cpu=i386 ../xtactics.lpr
-%LAZDIR%/lazbuild.exe --lazarusdir=%LAZDIR% -B --build-mode=Release --cpu=x86_64 ../xtactics.lpr
-
-"C:\Program Files (x86)\Inno Setup 5\iscc.exe" xTactics.iss
Index: /trunk/Install/win/build.bat
===================================================================
--- /trunk/Install/win/build.bat	(revision 136)
+++ /trunk/Install/win/build.bat	(revision 136)
@@ -0,0 +1,4 @@
+%LAZDIR%/lazbuild.exe --lazarusdir=%LAZDIR% --build-mode=Release --cpu=i386 ../../xtactics.lpr
+%LAZDIR%/lazbuild.exe --lazarusdir=%LAZDIR% --build-mode=Release --cpu=x86_64 ../../xtactics.lpr
+
+"C:\Program Files (x86)\Inno Setup 5\iscc.exe" xTactics.iss
Index: /trunk/Install/win/xTactics.iss
===================================================================
--- /trunk/Install/win/xTactics.iss	(revision 136)
+++ /trunk/Install/win/xTactics.iss	(revision 136)
@@ -0,0 +1,72 @@
+; Script generated by the Inno Setup Script Wizard.
+; SEE THE DOCUMENTATION FOR DETAILS ON CREATING INNO SETUP SCRIPT FILES!
+
+#define MyAppName "xTactics"
+#define MyAppVersion "1.0"
+#define MyAppPublisher "Chronosoft"
+#define MyAppPublisherShort "Chronosoft"
+#define MyAppURL "http://svn.zdechov.net/trac/xtactics"
+#define MyAppExeName "xtactics.exe"
+#define MyAppDebugName "xtactics.dbg"
+#define MyAppSubDir "..\.."
+
+[Setup]
+; NOTE: The value of AppId uniquely identifies this application.
+; Do not use the same AppId value in installers for other applications.
+; (To generate a new GUID, click Tools | Generate GUID inside the IDE.)
+AppId={{044A3DC1-AAED-4ECD-8C43-5376F46460F2}
+AppName={#MyAppName}
+AppVersion={#MyAppVersion}
+;AppVerName={#MyAppName} {#MyAppVersion}
+AppPublisher={#MyAppPublisher}
+AppPublisherURL={#MyAppURL}
+AppSupportURL={#MyAppURL}
+AppUpdatesURL={#MyAppURL}
+DefaultDirName={pf}\{#MyAppPublisherShort}\{#MyAppName}
+DefaultGroupName={#MyAppPublisherShort}\{#MyAppName}
+AllowNoIcons=yes
+OutputDir=.
+OutputBaseFilename=Install-{#MyAppName}-{#MyAppVersion}
+Compression=lzma
+SolidCompression=yes
+ChangesAssociations=yes
+; "ArchitecturesInstallIn64BitMode=x64" requests that the install be
+; done in "64-bit mode" on x64, meaning it should use the native
+; 64-bit Program Files directory and the 64-bit view of the registry.
+; On all other architectures it will install in "32-bit mode".
+ArchitecturesInstallIn64BitMode=x64
+; Note: We don't set ProcessorsAllowed because we want this
+; installation to run on all architectures (including Itanium,
+; since it's capable of running 32-bit code too).
+
+[Languages]
+Name: "english"; MessagesFile: "compiler:Default.isl"
+Name: "czech"; MessagesFile: "compiler:Languages\Czech.isl"
+
+[Tasks]
+Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags:
+
+[Registry]
+Root: HKCU; Subkey: "Software\Chronosoft\xTactics"; Flags: uninsdeletekey
+
+#define FileTypeName "xTactics game"
+Root: HKCR; Subkey: ".xtg"; ValueType: string; ValueName: ""; ValueData: "{#FileTypeName}"; Flags: uninsdeletevalue
+Root: HKCR; Subkey: "{#FileTypeName}"; ValueType: string; ValueName: ""; ValueData: "{#FileTypeName}"; Flags: uninsdeletekey
+Root: HKCR; Subkey: "{#FileTypeName}\DefaultIcon"; ValueType: string; ValueName: ""; ValueData: "{app}\{#MyAppExeName},0"
+Root: HKCR; Subkey: "{#FileTypeName}\shell\open\command"; ValueType: string; ValueName: ""; ValueData: """{app}\{#MyAppExeName}"" ""%1"""
+
+[Files]
+Source: "{#MyAppSubDir}\lib\x86_64-win64\{#MyAppExeName}"; DestDir: "{app}"; Flags: ignoreversion; Check: Is64BitInstallMode
+Source: "{#MyAppSubDir}\lib\i386-win32\{#MyAppExeName}"; DestDir: "{app}"; Flags: ignoreversion; Check: not Is64BitInstallMode
+Source: "{#MyAppSubDir}\Languages\*.po"; DestDir: "{app}\Languages"; Flags: ignoreversion
+Source: "{#MyAppSubDir}\Images\Maps\*.*"; DestDir: "{app}\Images\Maps"; Flags: ignoreversion
+; NOTE: Don't use "Flags: ignoreversion" on any shared system files
+
+[Icons]
+Name: "{group}\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"
+Name: "{group}\{cm:UninstallProgram,{#MyAppName}}"; Filename: "{uninstallexe}"
+Name: "{commondesktop}\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"; Tasks: desktopicon
+
+[Run]
+Filename: "{app}\{#MyAppExeName}"; Description: "{cm:LaunchProgram,{#StringChange(MyAppName, "&", "&&")}}"; Flags: nowait postinstall skipifsilent
+
Index: unk/Install/xTactics.iss
===================================================================
--- /trunk/Install/xTactics.iss	(revision 135)
+++ 	(revision )
@@ -1,72 +1,0 @@
-; Script generated by the Inno Setup Script Wizard.
-; SEE THE DOCUMENTATION FOR DETAILS ON CREATING INNO SETUP SCRIPT FILES!
-
-#define MyAppName "xTactics"
-#define MyAppVersion "1.0"
-#define MyAppPublisher "Chronosoft"
-#define MyAppPublisherShort "Chronosoft"
-#define MyAppURL "http://svn.zdechov.net/trac/xtactics"
-#define MyAppExeName "xtactics.exe"
-#define MyAppDebugName "xtactics.dbg"
-#define MyAppSubDir ".."
-
-[Setup]
-; NOTE: The value of AppId uniquely identifies this application.
-; Do not use the same AppId value in installers for other applications.
-; (To generate a new GUID, click Tools | Generate GUID inside the IDE.)
-AppId={{044A3DC1-AAED-4ECD-8C43-5376F46460F2}
-AppName={#MyAppName}
-AppVersion={#MyAppVersion}
-;AppVerName={#MyAppName} {#MyAppVersion}
-AppPublisher={#MyAppPublisher}
-AppPublisherURL={#MyAppURL}
-AppSupportURL={#MyAppURL}
-AppUpdatesURL={#MyAppURL}
-DefaultDirName={pf}\{#MyAppPublisherShort}\{#MyAppName}
-DefaultGroupName={#MyAppPublisherShort}\{#MyAppName}
-AllowNoIcons=yes
-OutputDir=.
-OutputBaseFilename=Install-{#MyAppName}-{#MyAppVersion}
-Compression=lzma
-SolidCompression=yes
-ChangesAssociations=yes
-; "ArchitecturesInstallIn64BitMode=x64" requests that the install be
-; done in "64-bit mode" on x64, meaning it should use the native
-; 64-bit Program Files directory and the 64-bit view of the registry.
-; On all other architectures it will install in "32-bit mode".
-ArchitecturesInstallIn64BitMode=x64
-; Note: We don't set ProcessorsAllowed because we want this
-; installation to run on all architectures (including Itanium,
-; since it's capable of running 32-bit code too).
-
-[Languages]
-Name: "english"; MessagesFile: "compiler:Default.isl"
-Name: "czech"; MessagesFile: "compiler:Languages\Czech.isl"
-
-[Tasks]
-Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags:
-
-[Registry]
-Root: HKCU; Subkey: "Software\Chronosoft\xTactics"; Flags: uninsdeletekey
-
-#define FileTypeName "xTactics game"
-Root: HKCR; Subkey: ".xtg"; ValueType: string; ValueName: ""; ValueData: "{#FileTypeName}"; Flags: uninsdeletevalue
-Root: HKCR; Subkey: "{#FileTypeName}"; ValueType: string; ValueName: ""; ValueData: "{#FileTypeName}"; Flags: uninsdeletekey
-Root: HKCR; Subkey: "{#FileTypeName}\DefaultIcon"; ValueType: string; ValueName: ""; ValueData: "{app}\{#MyAppExeName},0"
-Root: HKCR; Subkey: "{#FileTypeName}\shell\open\command"; ValueType: string; ValueName: ""; ValueData: """{app}\{#MyAppExeName}"" ""%1"""
-
-[Files]
-Source: "{#MyAppSubDir}\lib\x86_64-win64\{#MyAppExeName}"; DestDir: "{app}"; Flags: ignoreversion; Check: Is64BitInstallMode
-Source: "{#MyAppSubDir}\lib\i386-win32\{#MyAppExeName}"; DestDir: "{app}"; Flags: ignoreversion; Check: not Is64BitInstallMode
-Source: "{#MyAppSubDir}\Languages\*.po"; DestDir: "{app}\Languages"; Flags: ignoreversion
-Source: "{#MyAppSubDir}\Images\Maps\*.*"; DestDir: "{app}\Images\Maps"; Flags: ignoreversion
-; NOTE: Don't use "Flags: ignoreversion" on any shared system files
-
-[Icons]
-Name: "{group}\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"
-Name: "{group}\{cm:UninstallProgram,{#MyAppName}}"; Filename: "{uninstallexe}"
-Name: "{commondesktop}\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"; Tasks: desktopicon
-
-[Run]
-Filename: "{app}\{#MyAppExeName}"; Description: "{cm:LaunchProgram,{#StringChange(MyAppName, "&", "&&")}}"; Flags: nowait postinstall skipifsilent
-
Index: /trunk/Languages/xtactics.cs.po
===================================================================
--- /trunk/Languages/xtactics.cs.po	(revision 135)
+++ /trunk/Languages/xtactics.cs.po	(revision 136)
@@ -9,5 +9,5 @@
 "MIME-Version: 1.0\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Poedit 2.0.1\n"
+"X-Generator: Poedit 2.0.2\n"
 "Language: cs\n"
 
@@ -531,8 +531,8 @@
 "xTactics is a risk based strategic game. Main focus of the game is to offer player various possibilities to configure game conditions. Map for game is generated randomly for each play. Game is multiplayer so single player can play with other human opponents or with many computer opponents.\n"
 "\n"
-"Each cell has defined number of units which can be instructed to attack enemy or neutral adjecent cells. Units can also defend against enemy attach from adjecent cells. You can move units inside your territory. \n"
+"Each cell has defined number of units which can be instructed to attack enemy or neutral adjacent cells. Units can also defend against enemy attach from adjacent cells. You can move units inside your territory. \n"
 "Number of units in cells grows by square root of number of units. More units cell contains, more units is added each turn. Maximum number to which units grow is 99. Cell can have more units but excessive cells will die gradually every turn to balance to number 99.\n"
 "\n"
-"Resolution of attach of units is determined by rule similar to one which is used in Risk game. Battle consist of several fights. Each fight attacker can use up to 3 units and defender up to 2 units. Number of units for each side determine number of dices. Both sides roll their dices and order them in descending order.Each side takes one dice with highest value. One who has dice with higher value wins. In case of tie, defender wins. Loser lose its unit and another pair of dices is evaluated. This process is calculated automatically and for each planned attack win probability is displayed.\n"
+"Resolution of attack of units is determined by rule similar to one which is used in Risk game. Battle consist of several fights. Each fight attacker can use up to 3 units and defender up to 2 units. Number of units for each side determine number of dices. Both sides roll their dices and order them in descending order. Each side takes one dice with highest value. One who has dice with higher value wins. In case of tie, defender wins. Loser lose its unit and another pair of dices is evaluated. This process is calculated automatically and for each planned attack win probability is displayed.\n"
 msgstr ""
 "xTactics je strategická hra založena na hře Risk. Hlavní zaměření hry je nabídnout hráči různé možnosti k nastavení podmínek hry. Mapa hry je generována náhodně pro každou hru. Hra je pro více hráčů takže jeden hráč může hrát s dalšími lidskými protivníky nebo s mnoha počítačovými protivníky.\n"
Index: /trunk/Languages/xtactics.po
===================================================================
--- /trunk/Languages/xtactics.po	(revision 135)
+++ /trunk/Languages/xtactics.po	(revision 136)
@@ -516,8 +516,8 @@
 "xTactics is a risk based strategic game. Main focus of the game is to offer player various possibilities to configure game conditions. Map for game is generated randomly for each play. Game is multiplayer so single player can play with other human opponents or with many computer opponents.\n"
 "\n"
-"Each cell has defined number of units which can be instructed to attack enemy or neutral adjecent cells. Units can also defend against enemy attach from adjecent cells. You can move units inside your territory. \n"
+"Each cell has defined number of units which can be instructed to attack enemy or neutral adjacent cells. Units can also defend against enemy attach from adjacent cells. You can move units inside your territory. \n"
 "Number of units in cells grows by square root of number of units. More units cell contains, more units is added each turn. Maximum number to which units grow is 99. Cell can have more units but excessive cells will die gradually every turn to balance to number 99.\n"
 "\n"
-"Resolution of attach of units is determined by rule similar to one which is used in Risk game. Battle consist of several fights. Each fight attacker can use up to 3 units and defender up to 2 units. Number of units for each side determine number of dices. Both sides roll their dices and order them in descending order.Each side takes one dice with highest value. One who has dice with higher value wins. In case of tie, defender wins. Loser lose its unit and another pair of dices is evaluated. This process is calculated automatically and for each planned attack win probability is displayed.\n"
+"Resolution of attack of units is determined by rule similar to one which is used in Risk game. Battle consist of several fights. Each fight attacker can use up to 3 units and defender up to 2 units. Number of units for each side determine number of dices. Both sides roll their dices and order them in descending order. Each side takes one dice with highest value. One who has dice with higher value wins. In case of tie, defender wins. Loser lose its unit and another pair of dices is evaluated. This process is calculated automatically and for each planned attack win probability is displayed.\n"
 msgstr ""
 