Index: /tags/1.1.0/Install/deb/debian/changelog
===================================================================
--- /tags/1.1.0/Install/deb/debian/changelog	(revision 137)
+++ /tags/1.1.0/Install/deb/debian/changelog	(revision 138)
@@ -1,5 +1,18 @@
-xtactics (1.0.0-1) precise; urgency=low
+xtactics (1.1.0-1) precise; urgency=low
 
-  * Original version 1.0.0 packaged with lazdebian
+ * Added: Player starts units can be configured in player dialog.
+ * Added: Graph window can be shown from menu which presents development of various statistic values during game turns.
+ * Added: Load recent menu action to load recently opened/saved files.
+ * Modified: Allow cells to have more then 99 units. Additional units over 99 will die according twice of root square of units over 99. This allows to quick resolution even in case of narrow connections where two players send maximum units against each other.
+ * Fixed: Map black background under Windows OS was not correct. Used dark gray color so bridges between cells are visible.
+ * Fixed: Some application states were not stored/restored correctly after application restart.
+ * Fixed: Default maximized form state for PersistentForm. * Fixed: Do not scale up maximized forms according DPI settings.
+ * Fixed: Require at least 2 players for a game.
+ * Fixed: If only computer players are present in game then starts computer move immediatelly.
+ * Fixed: Center map to player main city at start.
+ * Fixed: Exception if no human player was selected.
+ * Fixed: Do not allow to move from single cell more units when available.
+ * Fixed: Set correct Windows registry path for storing form size.
+ * Fixed: Set correct path for Config.xml file.
 
- -- Chronos <robie@centrum.cz>  Sun, 27 Nov 2016 00:51:08 +0100
+ -- Chronos <robie@centrum.cz>  Sun, 6 Jul 2017 00:51:08 +0100
Index: /tags/1.1.0/Install/deb/debian/control
===================================================================
--- /tags/1.1.0/Install/deb/debian/control	(revision 137)
+++ /tags/1.1.0/Install/deb/debian/control	(revision 138)
@@ -3,5 +3,5 @@
 Section: utils
 Priority: optional
-Standards-Version: 1.0.0
+Standards-Version: 1.1.0
 Build-Depends: fpc, lazarus, lcl, lcl-utils, debhelper (>= 8)
 
Index: /tags/1.1.0/Install/win/build.bat
===================================================================
--- /tags/1.1.0/Install/win/build.bat	(revision 137)
+++ /tags/1.1.0/Install/win/build.bat	(revision 138)
@@ -1,4 +1,4 @@
-%LAZDIR%/lazbuild.exe --lazarusdir=%LAZDIR% --build-mode=Release --cpu=i386 ../../xtactics.lpr
-%LAZDIR%/lazbuild.exe --lazarusdir=%LAZDIR% --build-mode=Release --cpu=x86_64 ../../xtactics.lpr
+%LAZDIR%/lazbuild.exe --lazarusdir=%LAZDIR% --build-mode="Windows 32-bit" ../../xtactics.lpr
+%LAZDIR%/lazbuild.exe --lazarusdir=%LAZDIR% --build-mode="Windows 64-bit" ../../xtactics.lpr
 
 "C:\Program Files (x86)\Inno Setup 5\iscc.exe" xTactics.iss
Index: /tags/1.1.0/Install/win/xTactics.iss
===================================================================
--- /tags/1.1.0/Install/win/xTactics.iss	(revision 137)
+++ /tags/1.1.0/Install/win/xTactics.iss	(revision 138)
@@ -3,5 +3,5 @@
 
 #define MyAppName "xTactics"
-#define MyAppVersion "1.0"
+#define MyAppVersion "1.1.0"
 #define MyAppPublisher "Chronosoft"
 #define MyAppPublisherShort "Chronosoft"
Index: /tags/1.1.0/Release notes.txt
===================================================================
--- /tags/1.1.0/Release notes.txt	(revision 137)
+++ /tags/1.1.0/Release notes.txt	(revision 138)
@@ -1,2 +1,21 @@
+Version 1.1.0 (2017-07-06)
+==========================
+
+* Added: Player starts units can be configured in player dialog.
+* Added: Graph window can be shown from menu which presents development of various statistic values during game turns.
+* Added: Load recent menu action to load recently opened/saved files.
+* Modified: Allow cells to have more then 99 units. Additional units over 99 will die according twice of root square of units over 99. This allows to quick resolution even in case of narrow connections where two players send maximum units against each other.
+* Fixed: Map black background under Windows OS was not correct. Used dark gray color so bridges between cells are visible.
+* Fixed: Some application states were not stored/restored correctly after application restart.
+* Fixed: Default maximized form state for PersistentForm. * Fixed: Do not scale up maximized forms according DPI settings.
+* Fixed: Require at least 2 players for a game.
+* Fixed: If only computer players are present in game then starts computer move immediatelly.
+* Fixed: Center map to player main city at start.
+* Fixed: Exception if no human player was selected.
+* Fixed: Do not allow to move from single cell more units when available.
+* Fixed: Set correct Windows registry path for storing form size.
+* Fixed: Set correct path for Config.xml file.
+
+
 Version 1.0.0 (2016-12-10)
 ==========================
Index: /tags/1.1.0/UCore.lfm
===================================================================
--- /tags/1.1.0/UCore.lfm	(revision 137)
+++ /tags/1.1.0/UCore.lfm	(revision 138)
@@ -4,6 +4,6 @@
   OldCreateOrder = False
   Height = 542
-  HorizontalOffset = 565
-  VerticalOffset = 329
+  HorizontalOffset = 692
+  VerticalOffset = 464
   Width = 752
   object ActionList1: TActionList
@@ -2041,7 +2041,6 @@
     Identification = 1
     VersionMajor = 1
-    VersionMinor = 0
+    VersionMinor = 1
     VersionBugFix = 0
-    VersionSuffix = 'alfa'
     CompanyName = 'Chronosoft'
     CompanyHomePage = 'http://svn.zdechov.net/trac/xtactics'
@@ -2049,5 +2048,5 @@
     AuthorsName = 'Chronos'
     AppName = 'xTactics'
-    ReleaseDate = 42913
+    ReleaseDate = 42922
     RegistryKey = '\Software\xTactics'
     RegistryRoot = rrKeyCurrentUser
Index: /tags/1.1.0/xtactics.lpi
===================================================================
--- /tags/1.1.0/xtactics.lpi	(revision 137)
+++ /tags/1.1.0/xtactics.lpi	(revision 138)
@@ -2,5 +2,5 @@
 <CONFIG>
   <ProjectOptions>
-    <Version Value="10"/>
+    <Version Value="9"/>
     <General>
       <SessionStorage Value="InProjectDir"/>
@@ -19,4 +19,7 @@
     </i18n>
     <VersionInfo>
+      <UseVersionInfo Value="True"/>
+      <MajorVersionNr Value="1"/>
+      <MinorVersionNr Value="1"/>
       <StringTable ProductVersion=""/>
     </VersionInfo>
Index: /trunk/Install/deb/debian/changelog
===================================================================
--- /trunk/Install/deb/debian/changelog	(revision 137)
+++ /trunk/Install/deb/debian/changelog	(revision 138)
@@ -1,5 +1,5 @@
-xtactics (1.0.0-1) precise; urgency=low
+xtactics (1.2.0-1) precise; urgency=low
 
-  * Original version 1.0.0 packaged with lazdebian
+  * Original version 1.2.0 packaged with lazdebian
 
- -- Chronos <robie@centrum.cz>  Sun, 27 Nov 2016 00:51:08 +0100
+ -- Chronos <robie@centrum.cz>  Sun, 6 Jul 2017 00:51:08 +0100
Index: /trunk/Install/deb/debian/control
===================================================================
--- /trunk/Install/deb/debian/control	(revision 137)
+++ /trunk/Install/deb/debian/control	(revision 138)
@@ -3,5 +3,5 @@
 Section: utils
 Priority: optional
-Standards-Version: 1.0.0
+Standards-Version: 1.2.0
 Build-Depends: fpc, lazarus, lcl, lcl-utils, debhelper (>= 8)
 
Index: /trunk/Install/win/build.bat
===================================================================
--- /trunk/Install/win/build.bat	(revision 137)
+++ /trunk/Install/win/build.bat	(revision 138)
@@ -1,4 +1,4 @@
-%LAZDIR%/lazbuild.exe --lazarusdir=%LAZDIR% --build-mode=Release --cpu=i386 ../../xtactics.lpr
-%LAZDIR%/lazbuild.exe --lazarusdir=%LAZDIR% --build-mode=Release --cpu=x86_64 ../../xtactics.lpr
+%LAZDIR%/lazbuild.exe --lazarusdir=%LAZDIR% --build-mode="Windows 32-bit" ../../xtactics.lpr
+%LAZDIR%/lazbuild.exe --lazarusdir=%LAZDIR% --build-mode="Windows 64-bit" ../../xtactics.lpr
 
 "C:\Program Files (x86)\Inno Setup 5\iscc.exe" xTactics.iss
Index: /trunk/Install/win/xTactics.iss
===================================================================
--- /trunk/Install/win/xTactics.iss	(revision 137)
+++ /trunk/Install/win/xTactics.iss	(revision 138)
@@ -3,5 +3,5 @@
 
 #define MyAppName "xTactics"
-#define MyAppVersion "1.0"
+#define MyAppVersion "1.2.0-alfa"
 #define MyAppPublisher "Chronosoft"
 #define MyAppPublisherShort "Chronosoft"
Index: /trunk/Release notes.txt
===================================================================
--- /trunk/Release notes.txt	(revision 137)
+++ /trunk/Release notes.txt	(revision 138)
@@ -1,2 +1,21 @@
+Version 1.1.0 (2017-07-06)
+==========================
+
+* Added: Player starts units can be configured in player dialog.
+* Added: Graph window can be shown from menu which presents development of various statistic values during game turns.
+* Added: Load recent menu action to load recently opened/saved files.
+* Modified: Allow cells to have more then 99 units. Additional units over 99 will die according twice of root square of units over 99. This allows to quick resolution even in case of narrow connections where two players send maximum units against each other.
+* Fixed: Map black background under Windows OS was not correct. Used dark gray color so bridges between cells are visible.
+* Fixed: Some application states were not stored/restored correctly after application restart.
+* Fixed: Default maximized form state for PersistentForm. * Fixed: Do not scale up maximized forms according DPI settings.
+* Fixed: Require at least 2 players for a game.
+* Fixed: If only computer players are present in game then starts computer move immediatelly.
+* Fixed: Center map to player main city at start.
+* Fixed: Exception if no human player was selected.
+* Fixed: Do not allow to move from single cell more units when available.
+* Fixed: Set correct Windows registry path for storing form size.
+* Fixed: Set correct path for Config.xml file.
+
+
 Version 1.0.0 (2016-12-10)
 ==========================
Index: /trunk/UCore.lfm
===================================================================
--- /trunk/UCore.lfm	(revision 137)
+++ /trunk/UCore.lfm	(revision 138)
@@ -2041,5 +2041,5 @@
     Identification = 1
     VersionMajor = 1
-    VersionMinor = 0
+    VersionMinor = 2
     VersionBugFix = 0
     VersionSuffix = 'alfa'
@@ -2049,5 +2049,5 @@
     AuthorsName = 'Chronos'
     AppName = 'xTactics'
-    ReleaseDate = 42913
+    ReleaseDate = 42922
     RegistryKey = '\Software\xTactics'
     RegistryRoot = rrKeyCurrentUser