Index: /tags/1.2.0/Install/win/xTactics.iss
===================================================================
--- /tags/1.2.0/Install/win/xTactics.iss	(revision 159)
+++ /tags/1.2.0/Install/win/xTactics.iss	(revision 160)
@@ -3,5 +3,5 @@
 
 #define MyAppName "xTactics"
-#define MyAppVersion "1.2.0-alfa"
+#define MyAppVersion "1.2.0"
 #define MyAppPublisher "Chronosoft"
 #define MyAppPublisherShort "Chronosoft"
Index: /tags/1.2.0/Release notes.txt
===================================================================
--- /tags/1.2.0/Release notes.txt	(revision 159)
+++ /tags/1.2.0/Release notes.txt	(revision 160)
@@ -1,2 +1,20 @@
+Version 1.2.0 (2017-11-19)
+==========================
+
+* Added: Remember players configuration for new game.
+* Added: Map can have rounded shape.
+* Added: New Unit moves window available from Tools menu.
+* Modified: Improved code for symetric map generation.
+* Modified: Store player settings for new game separately to current game players.
+* Modified: Implemented better algorithm for initialization of players start cell to maintain minimal distance between players.
+* Modified: Do not create settings form on application start but just if form is opened.
+* Modified: Improved attack to neutral units if computer have more units available when necessary.
+* Fixed: Show error message if not all players were placed to the map.
+* Fixed: Build cell bridges correctly if symetric map is selected.
+* Fixed: Avoid possible negative cell power if player unit was previously unsucessfully attacked and weaken by enemy.
+* Fixed: Same game structures were not correctly initialized during load from file.
+* Fixed: Show other players cells with normal power and cells of current player with power lowered by unit moves.
+* Fixed: Problems with freeing memory of unit moves.
+
 Version 1.1.0 (2017-07-06)
 ==========================
@@ -16,5 +34,4 @@
 * Fixed: Set correct Windows registry path for storing form size.
 * Fixed: Set correct path for Config.xml file.
-
 
 Version 1.0.0 (2016-12-10)
Index: /tags/1.2.0/UCore.lfm
===================================================================
--- /tags/1.2.0/UCore.lfm	(revision 159)
+++ /tags/1.2.0/UCore.lfm	(revision 160)
@@ -2047,5 +2047,4 @@
     VersionMinor = 2
     VersionBugFix = 0
-    VersionSuffix = 'alfa'
     CompanyName = 'Chronosoft'
     CompanyHomePage = 'http://svn.zdechov.net/trac/xtactics'
@@ -2053,5 +2052,5 @@
     AuthorsName = 'Chronos'
     AppName = 'xTactics'
-    ReleaseDate = 42922
+    ReleaseDate = 43058
     RegistryKey = '\Software\xTactics'
     RegistryRoot = rrKeyCurrentUser
Index: /trunk/Install/deb/debian/changelog
===================================================================
--- /trunk/Install/deb/debian/changelog	(revision 159)
+++ /trunk/Install/deb/debian/changelog	(revision 160)
@@ -1,5 +1,5 @@
-xtactics (1.2.0-1) precise; urgency=low
+xtactics (1.3.0-1) precise; urgency=low
 
-  * Original version 1.2.0 packaged with lazdebian
+  * Original version 1.3.0 packaged with lazdebian
 
  -- Chronos <robie@centrum.cz>  Sun, 6 Jul 2017 00:51:08 +0100
Index: /trunk/Install/deb/debian/control
===================================================================
--- /trunk/Install/deb/debian/control	(revision 159)
+++ /trunk/Install/deb/debian/control	(revision 160)
@@ -3,5 +3,5 @@
 Section: utils
 Priority: optional
-Standards-Version: 1.2.0
+Standards-Version: 1.3.0
 Build-Depends: fpc, lazarus, lcl, lcl-utils, debhelper (>= 8)
 
Index: /trunk/Install/rpm/xtactics.spec
===================================================================
--- /trunk/Install/rpm/xtactics.spec	(revision 159)
+++ /trunk/Install/rpm/xtactics.spec	(revision 160)
@@ -1,4 +1,4 @@
 Name:           xtactics
-Version:        1.2.0
+Version:        1.3.0
 Release:        1%{?dist}
 Summary:        Turn-based strategic war game inspired by Risk board game.
Index: /trunk/Install/win/xTactics.iss
===================================================================
--- /trunk/Install/win/xTactics.iss	(revision 159)
+++ /trunk/Install/win/xTactics.iss	(revision 160)
@@ -3,5 +3,5 @@
 
 #define MyAppName "xTactics"
-#define MyAppVersion "1.2.0-alfa"
+#define MyAppVersion "1.3.0-alfa"
 #define MyAppPublisher "Chronosoft"
 #define MyAppPublisherShort "Chronosoft"
Index: /trunk/Release notes.txt
===================================================================
--- /trunk/Release notes.txt	(revision 159)
+++ /trunk/Release notes.txt	(revision 160)
@@ -1,2 +1,20 @@
+Version 1.2.0 (2017-11-19)
+==========================
+
+* Added: Remember players configuration for new game.
+* Added: Map can have rounded shape.
+* Added: New Unit moves window available from Tools menu.
+* Modified: Improved code for symetric map generation.
+* Modified: Store player settings for new game separately to current game players.
+* Modified: Implemented better algorithm for initialization of players start cell to maintain minimal distance between players.
+* Modified: Do not create settings form on application start but just if form is opened.
+* Modified: Improved attack to neutral units if computer have more units available when necessary.
+* Fixed: Show error message if not all players were placed to the map.
+* Fixed: Build cell bridges correctly if symetric map is selected.
+* Fixed: Avoid possible negative cell power if player unit was previously unsucessfully attacked and weaken by enemy.
+* Fixed: Same game structures were not correctly initialized during load from file.
+* Fixed: Show other players cells with normal power and cells of current player with power lowered by unit moves.
+* Fixed: Problems with freeing memory of unit moves.
+
 Version 1.1.0 (2017-07-06)
 ==========================
@@ -16,5 +34,4 @@
 * Fixed: Set correct Windows registry path for storing form size.
 * Fixed: Set correct path for Config.xml file.
-
 
 Version 1.0.0 (2016-12-10)
Index: /trunk/UCore.lfm
===================================================================
--- /trunk/UCore.lfm	(revision 159)
+++ /trunk/UCore.lfm	(revision 160)
@@ -2045,5 +2045,5 @@
     Identification = 1
     VersionMajor = 1
-    VersionMinor = 2
+    VersionMinor = 3
     VersionBugFix = 0
     VersionSuffix = 'alfa'
@@ -2053,5 +2053,5 @@
     AuthorsName = 'Chronos'
     AppName = 'xTactics'
-    ReleaseDate = 42922
+    ReleaseDate = 43058
     RegistryKey = '\Software\xTactics'
     RegistryRoot = rrKeyCurrentUser