Index: /trunk/Forms/UFormNew.pas
===================================================================
--- /trunk/Forms/UFormNew.pas	(revision 165)
+++ /trunk/Forms/UFormNew.pas	(revision 166)
@@ -190,6 +190,5 @@
     Items.Add(SGridTypeSquare);
     Items.Add(SGridTypeTriangle);
-    if Core.DevelMode then
-      Items.Add(SGridTypeVoronoi);
+    Items.Add(SGridTypeVoronoi);
     ItemIndex := LastIndex;
   end;
Index: /trunk/Languages/xtactics.cs.po
===================================================================
--- /trunk/Languages/xtactics.cs.po	(revision 165)
+++ /trunk/Languages/xtactics.cs.po	(revision 166)
@@ -87,8 +87,14 @@
 #: tcore.ashowcharts.caption
 #, fuzzy
-#| msgid "Charts"
+#| msgid "Show charts"
 msgctxt "tcore.ashowcharts.caption"
-msgid "Show charts"
+msgid "Charts"
 msgstr "Grafy vývoje"
+
+#: tcore.ashowunitmoves.caption
+#, fuzzy
+msgctxt "tcore.ashowunitmoves.caption"
+msgid "Unit moves"
+msgstr "Pohyby jednotek"
 
 #: tformabout.buttonclose.caption
Index: /trunk/Languages/xtactics.po
===================================================================
--- /trunk/Languages/xtactics.po	(revision 165)
+++ /trunk/Languages/xtactics.po	(revision 166)
@@ -77,5 +77,10 @@
 #: tcore.ashowcharts.caption
 msgctxt "tcore.ashowcharts.caption"
-msgid "Show charts"
+msgid "Charts"
+msgstr ""
+
+#: tcore.ashowunitmoves.caption
+msgctxt "tcore.ashowunitmoves.caption"
+msgid "Unit moves"
 msgstr ""
 
Index: /trunk/Packages/Common/UGeometry.pas
===================================================================
--- /trunk/Packages/Common/UGeometry.pas	(revision 165)
+++ /trunk/Packages/Common/UGeometry.pas	(revision 166)
@@ -161,6 +161,6 @@
   LDetDivInv := 1 / D;
 
-  Intersection.X := Trunc(((LDetLineA * LDiffLB.X) - (LDiffLA.X * LDetLineB)) * LDetDivInv);
-  Intersection.Y := Trunc(((LDetLineA * LDiffLB.Y) - (LDiffLA.Y * LDetLineB)) * LDetDivInv);
+  Intersection.X := Round(((LDetLineA * LDiffLB.X) - (LDiffLA.X * LDetLineB)) * LDetDivInv);
+  Intersection.Y := Round(((LDetLineA * LDiffLB.Y) - (LDiffLA.Y * LDetLineB)) * LDetDivInv);
   Result := True;
 end;
Index: /trunk/UCore.pas
===================================================================
--- /trunk/UCore.pas	(revision 165)
+++ /trunk/UCore.pas	(revision 166)
@@ -429,4 +429,5 @@
 begin
   Game.New;
+  Game.DevelMode := DevelMode;
   SelectClient;
   if Game.Players.GetAliveCount = Game.Players.Count then Game.Running := True
Index: /trunk/UGame.pas
===================================================================
--- /trunk/UGame.pas	(revision 165)
+++ /trunk/UGame.pas	(revision 166)
@@ -475,4 +475,5 @@
     procedure InitDefaultPlayersSetting;
   public
+    DevelMode: Boolean;
     Players: TPlayers;
     PlayersSetting: TPlayers;
@@ -1049,5 +1050,6 @@
     end;
 
-{    // Draw links to neighbors
+    // Draw links to neighbors
+    if Player.Game.DevelMode then
     for Cell in Cells do begin
       for NeighCell in Cell.MapCell.Neighbors do begin
@@ -1062,5 +1064,5 @@
         View.CellToCanvasPos(Cell.MapCell.PosPx).Y, IntToStr(Cell.MapCell.Id));
     end;
- }
+
     // Draw arrows
     Pen.Color := clCream;
@@ -1109,5 +1111,9 @@
   //Changing;
   //RequiredState([csHandleValid, csBrushValid, csPenValid]);
+  //Canvas.Brush.Style := bsClear;
   LCLIntf.Polygon(Canvas.Handle, @Points[0], Length(Points), Winding);
+//  SetLength(Points, Length(Points) + 1);
+//  Points[Length(Points) - 1] = Points[0];
+//  LCLIntf.Polyline(Canvas.Handle, @Points[0], Length(Points));
   //Changed;
 end;
Index: /trunk/UMap.pas
===================================================================
--- /trunk/UMap.pas	(revision 165)
+++ /trunk/UMap.pas	(revision 166)
@@ -298,4 +298,5 @@
   LeftText: string;
   RightText: string;
+  NeighborCell: TCell;
 begin
   Clear;
@@ -374,6 +375,6 @@
       LeftCell := Cell.Neighbors[I];
       RightCell := Cell.Neighbors[(I + 1) mod Cell.Neighbors.Count];
-      LeftText := LeftCell.Neighbors.ToString;
-      RightText := RightCell.Neighbors.ToString;
+      //LeftText := LeftCell.Neighbors.ToString;
+      //RightText := RightCell.Neighbors.ToString;
       LeftIndex := LeftCell.Neighbors.IndexOf(Cell);
       RightIndex := RightCell.Neighbors.IndexOf(Cell);
@@ -424,7 +425,6 @@
       Polygon := TPolygon.Create(Rect(0, 0,
         Size.X * DefaultCellSize.X, Size.Y * DefaultCellSize.Y));
-      for I := 0 to Cell.Neighbors.Count - 1 do begin
-        LinkLine := TLine.Create(Cell.PosPx,
-          Cell.Neighbors[I].PosPx);
+      for NeighborCell in Cell.Neighbors do begin
+        LinkLine := TLine.Create(Cell.PosPx, NeighborCell.PosPx);
         LinkLine.Distance := LinkLine.Distance - 4;
         MP := LinkLine.GetMiddle;